Орла
Области
Компаний
Пользователи
Галерея
Фиксированные новости
Орла
Отзывы о фирмах
Тарифы
Пользователи
Области
Банкоматы
Торговые точки
Доска объявлений
Курсы валют
Скидки
организации Орла
организации области
товары
сайты
сайты Орел
Данные
Разделы
Поиск
Поиск запросы
Статистика
Показы каталога организаций
Статистика клиенты
Пользователи
Сайты
Управление сайтом
Анкета
Аптеки
Афиша
Афиша новая
Баннеры
Бизнес >
Викторина
Голосование
Гость на сайте
Истории
Календарь событий
Каталоги >
Конкурс красоты
Конкурс аудио
Консультации
Меню
Новое на сайте
Новости >
Организации >
Программа ТВ
Публикации
Разделы сайта
Рассылка
Рестораны
Секрет фирмы >
Сервисы >
Ссылки
Тесты
Файловый менеджер
Форум
Фотогалерея
Обратная связь
Недвижимость
Новый год
Тексты
Пользователи
Юридический рейтинг
Отзывы на товары
Бан пользователей
Жалобы
Новые тесты
Коронавирус
Файловый менеджер
Имя файла
.pre-commit.hook
Содержимое
#!/bin/sh # # Copyright 2017 The LazyJsonMapper Project # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # # ---------------------------------------------------------------------------- # # Verifies that all files in the worktree follow our codestyle standards. # # Note that this script can't check that they're actually committing the nicely # formatted code. It just checks that the worktree is clean. So if they've fixed # all files but haven't added the codestyle fixes to their commit, they'll still # pass this check. But it's still a great protection against most mistakes. # # To install this hook, just run the following in the project's root folder: # ln -fs "../../.pre-commit.hook" .git/hooks/pre-commit # # Redirect output to stderr. exec 1>&2 # Git ensures that CWD is always the root of the project folder, so we can just # run all tests without verifying what folder we are in... failed="no" echo "[pre-commit] Checking work-tree codestyle..." # Check the general codestyle format. echo "> Verifying php-cs-fixer..." vendor/bin/php-cs-fixer fix --config=.php_cs.dist --allow-risky yes --dry-run if [ $? -ne 0 ]; then failed="yes" fi # Look for specific problems with the style, related to our project. echo "> Verifying checkStyle..." /usr/bin/env php devtools/checkStyle.php x if [ $? -ne 0 ]; then failed="yes" fi # Refuse to commit if there were problems. Instruct the user about solving it. if [ "${failed}" = "yes" ]; then # Yes there are lots of "echo" commands, because "\n" is not cross-platform. echo "[commit failed] There are problems with your code..." echo "" echo "Run 'composer codestyle' to fix the code in your worktree." echo "" echo "But beware that the process is automatic, and that the result" echo "isn't always perfect and won't be automatically staged." echo "" echo "So remember to manually read through the changes, then further" echo "fix them if necessary, and finally stage the updated code" echo "afterwards so that the fixed code gets committed." exit 1 fi
/cron/instagram/vendor/lazyjsonmapper/lazyjsonmapper/
Имя
Дата
Размер
..
2019-01-15
bin
2019-01-15
devtools
2019-01-15
examples
2019-01-15
src
2019-01-15
tests
2019-01-15
.ac-php-conf.json
2019-01-15
282 байт
.gitignore
2019-01-15
507 байт
.php_cs.dist
2019-01-15
2 кб.
.pre-commit.hook
2019-01-15
3 кб.
LICENSE
2019-01-15
11 кб.
NOTICE
2019-01-15
179 байт
README.md
2019-01-15
10 кб.
composer.json
2019-01-15
1 кб.
phpdoc.dist.xml
2019-01-15
583 байт
phpunit.xml.dist
2019-01-15
233 байт
/cron/instagram/vendor/lazyjsonmapper/lazyjsonmapper
Загрузить файлы
Файл 1
Файл 2
Файл 3